#ifndef	DIALPARM_H
#define	DIALPARM_H
typedef struct {
	int	port;	// 0=COM1, 1=COM2 etc.
	BOOL	xonxoff;	// software flowcontrol, TRUE=xonxoff used
	BOOL	directconnect;	// TRUE=connected via null modem
	unsigned char	bytesize;	// 6,7 or 8
	unsigned char	flowctrl;	// hardware flowcontrol (see below)
	unsigned char	parity;		// parity value (see below)
	unsigned char	stopbits;	// number of stop bits (see below)
	WORD	baudrate;	// baudrate coded as CBR_xxxx (see windows.h)
} DIALPARM;
typedef DIALPARM FAR *LPDIALPARM;

// Flow control flags (to be set in flowctrl)

#define FC_DTRDSR       0x01
#define FC_RTSCTS       0x02
#define FC_XONXOFF      0x04

// Parity values (as defined in windows.h)
//	NOPARITY	(0)
//	ODDPARITY	(1)
//	EVENPARITY	(2)
//	MARKPARITY	(3)
//	SPACEPARITY	(4)

// Stopbits values (as defined in windows.h)
//	ONESTOPBIT	(0)
//	ONE5STOPBITS	(1)
//	TWOSTOPBITS	(2)

// Stack interface routine
int FAR PASCAL WSADialerSetPortInfo(LPDIALPARM ParmAddr,int InterfaceIndex);

#endif

